import 'package:equatable/equatable.dart';

abstract class SharedDriveEvent extends Equatable {
  const SharedDriveEvent();

  @override
  List<Object> get props => [];
}

class LoadSharedDrives extends SharedDriveEvent {
  final String orgId;

  const LoadSharedDrives(this.orgId);

  @override
  List<Object> get props => [orgId];
}

class OpenSharedDrive extends SharedDriveEvent {
  final String driveId;

  const OpenSharedDrive(this.driveId);

  @override
  List<Object> get props => [driveId];
}
